curl --request DELETE \
--url https://sandbox.tight.com/v6/templates/rules/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"applyToExistingUsers": false
}
'{
"result": "SUCCESS",
"data": {
"id": "trl_12345678",
"businessType": {
"id": "bzt_123456",
"name": "Electrician"
},
"status": "ACTIVE",
"filter": {
"type": {
"in": [
"EXPENSE",
"REVENUE"
]
},
"description": {
"equal": "Office Supplies",
"contain": "Supplies"
},
"amount": {
"equal": 123,
"greaterThan": 123,
"greaterThanEqual": 123,
"lessThan": 123,
"lessThanEqual": 123
},
"vendor": {
"id": {
"equal": "bka_12345678"
},
"name": {
"equal": "Gusto",
"contain": "Gust"
}
},
"category": {
"id": {
"equal": "bka_12345678"
}
},
"glAccount": {
"id": {
"equal": "bka_12345678"
}
},
"bankAccount": {
"id": {
"equal": "bka_12345678"
}
}
},
"update": {
"category": {
"id": "ctg_58932890",
"name": "Wages",
"iconUrl": "https://cdn.sandbox.tight.com/icons/expenseCategories/payroll.svg"
},
"vendor": {
"id": "vnd_28868401",
"name": "Gusto"
},
"customer": {
"id": "cus_4852707",
"name": "Abigail Adams",
"email": "abigail@tight.com"
},
"reviewStatus": "RECONCILED"
},
"customData": {
"internal_key": "some_internal_key",
"some_other_field": 23434
}
}
}Delete a template rule for the given id
curl --request DELETE \
--url https://sandbox.tight.com/v6/templates/rules/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"applyToExistingUsers": false
}
'{
"result": "SUCCESS",
"data": {
"id": "trl_12345678",
"businessType": {
"id": "bzt_123456",
"name": "Electrician"
},
"status": "ACTIVE",
"filter": {
"type": {
"in": [
"EXPENSE",
"REVENUE"
]
},
"description": {
"equal": "Office Supplies",
"contain": "Supplies"
},
"amount": {
"equal": 123,
"greaterThan": 123,
"greaterThanEqual": 123,
"lessThan": 123,
"lessThanEqual": 123
},
"vendor": {
"id": {
"equal": "bka_12345678"
},
"name": {
"equal": "Gusto",
"contain": "Gust"
}
},
"category": {
"id": {
"equal": "bka_12345678"
}
},
"glAccount": {
"id": {
"equal": "bka_12345678"
}
},
"bankAccount": {
"id": {
"equal": "bka_12345678"
}
}
},
"update": {
"category": {
"id": "ctg_58932890",
"name": "Wages",
"iconUrl": "https://cdn.sandbox.tight.com/icons/expenseCategories/payroll.svg"
},
"vendor": {
"id": "vnd_28868401",
"name": "Gusto"
},
"customer": {
"id": "cus_4852707",
"name": "Abigail Adams",
"email": "abigail@tight.com"
},
"reviewStatus": "RECONCILED"
},
"customData": {
"internal_key": "some_internal_key",
"some_other_field": 23434
}
}
}Bearer authentication header of the form Bearer <token>, where <token> is a partner-level token.
The id of the template rule
Apply this deletion to existing users